Name:          tangogps
Version:       0.99.4
Release:       1mamba
Summary:       An easy to use, fast and lightweight mapping application for use with or without GPS
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://www.tangogps.org
Source:        http://pkgs.fedoraproject.org/repo/pkgs/tangogps/tangogps-%{version}.tar.gz/0f07ede94a21eb84f5e017fa88a1fc3d/tangogps-%{version}.tar.gz
#Source:        http://www.tangogps.org/downloads/tangogps-%{version}.tar.gz
Patch0:        tangogps-0.99.4-curl-7.31.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcurl-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libsqlite-devel
BuildRequires: ORBit2-devel
## AUTOBUILDREQ-END
Requires:      gpsd

%description
tangogps is an easy to use, fast and lightweight mapping application for use with or without GPS. It runs on any Linux platform from the desktop over eeePC down to phones like the Openmoko Neo.
By default tangoGPS uses map data from the Openstreetmap project. Additionally a variety of other repositories can be easily added.
The maps are automagically downloaded and cached for offline use while you drag or zoom the map. Furthermore you can conveniently pre-cache areas with tangoGPS. 

%prep
%setup -q
%patch0 -p1

%build
%configure

%make LDFLAGS="-lm"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d -m0755 %{buildroot}%{_docdir}%{name}
rm -rf %{buildroot}%{_prefix}/doc

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/tangogps
%{_datadir}/applications/tangogps.desktop
%{_datadir}/pixmaps/*.png
%doc AUTHORS COPYING

%changelog
* Mon Jul 15 2013 Automatic Build System <autodist@mambasoft.it> 0.9.3-3mamba
- automatic rebuild by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- added requirement for gpsd

* Thu Jan 01 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.9.3-1mamba
- package created by autospec
